package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.GetDeptInfoDTO;
import com.lantone.common.dto.GetDeptTreeDTO;
import com.lantone.common.vo.GetHospitalListInfoVO;
import com.lantone.dblayermbg.entity.Dept;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_dept Mapper接口
 * </p>
 */
public interface DeptMapper extends BaseMapper<Dept> {

    List<GetDeptTreeDTO> getDeptInfo(@Param("hospitalId") long hospitalId);

    List<GetDeptInfoDTO> getDeptRegion(@Param("getHospitalListInfoVO") GetHospitalListInfoVO getHospitalListInfoVO);
}