package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: DataAuthDTO
 * @Description: 数据权限返回对象
 * @Author songxl
 * @Date 2021/7/22
 * @Version 1.0
 */
@Data
public class GetDataAuthByIdDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "数据权限名称")
    private String name;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    /**
     * 系统列表
     */
    private List<SysServiceDTO> sysServiceDTOS;



}
