package com.lantone.common.vo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;


/**
 * @Description:
 * @Author: cy
 * @time: 2021/7/29 11:31
 */
@Data
public class CheckSolveRegionVO {
    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病区名称")
    private String name;

    @ApiModelProperty(value = "病区id")
    @NotNull(message ="病区id不能为空" )
    private Integer id;

    @ApiModelProperty(value = "0-禁用校验标识 1-禁用此病区 2-启用此病区")
    @NotNull(message ="操作标识不能为空" )
    private Integer mark = 0;
}
